summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-11-09 20:09:00 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-11-09 20:18:28 +0100
commit0e8f2a31161f9138b1731358e9e567b244c6d3d5 (patch)
tree867a9206117086871e741c4956b66e2bdb621dc4 /kde-apps/artikulate
parentwww-client/qupzilla: 2.2.1 version bump (diff)
downloadgentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.tar.gz
gentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.tar.bz2
gentoo-0e8f2a31161f9138b1731358e9e567b244c6d3d5.zip
kde-apps: Add KDE Applications 17.08.3
Package-Manager: Portage-2.3.8, Repoman-2.3.4
Diffstat (limited to 'kde-apps/artikulate')
-rw-r--r--kde-apps/artikulate/Manifest1
-rw-r--r--kde-apps/artikulate/artikulate-17.08.3.ebuild43
2 files changed, 44 insertions, 0 deletions
diff --git a/kde-apps/artikulate/Manifest b/kde-apps/artikulate/Manifest
index 56510cc0d34..439105c7fa1 100644
--- a/kde-apps/artikulate/Manifest
+++ b/kde-apps/artikulate/Manifest
@@ -1,2 +1,3 @@
DIST artikulate-17.04.3.tar.xz 3747508 SHA256 e69161ce7b13fd94eaab942cced328623b4674add4d1fe3312ab428f1929ac2b SHA512 d81754bdff01be65f80db5e2ba6b3ec6bd09ea4a8504df939cc995af761890fa19cd1b84bacd9a7a3226aca73edf3e181b577168764a5a817c980ed226173971 WHIRLPOOL c19907b6e2d813ae237999c2ad3d848e62ac430f7ed9269c2f22b892419165a6f4b5a837fdf762096545e8c700b1c7228466869ad29cd16f9931f6db2c100cc6
DIST artikulate-17.08.2.tar.xz 3749072 SHA256 81f77b2149653c2b5c6d40e4db2455aa2a97a086491e3074d61c75fb64038143 SHA512 d88d4cc5054577e52c063a5d6f83fed694bab64cb8f39cade52a132f120213100cb8b08180f9672e4eca38394655198f48d70e23192c6f67ecfd02a77034c9e7 WHIRLPOOL cb16aa86b7f3827592dc365e7e782e84ba8e817022f750f8b8cdd57afbb91228247917f4e8523a1a1fec59c593132615885c2fdd7aa5e703c888c17f09926a73
+DIST artikulate-17.08.3.tar.xz 3749500 SHA256 36ecd75d5a4a820d01fca5ecd3298856e95a8aaa2659d54f51de41de244b0f8e SHA512 8ee17dbb4a8d3e0ff0537f856a7eb8c918cb909852cf5c48b70c0e281bfb104d3c231053d2aad9368f82182c628c92c267b4f6946164417efea24c589d343ca2 WHIRLPOOL a0c4e2b190e4898f4815c360fbd484be6bf1523df93b7d20c172c2a20024d95d1bfcdec606d5b9260ee7d92adde52a6d1a5d71bc563fee13afd1a971c8e7eb92
diff --git a/kde-apps/artikulate/artikulate-17.08.3.ebuild b/kde-apps/artikulate/artikulate-17.08.3.ebuild
new file mode 100644
index 00000000000..25e55e93d22
--- /dev/null
+++ b/kde-apps/artikulate/artikulate-17.08.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="true"
+inherit kde5
+
+DESCRIPTION="Language learning application that helps improving pronunciation skills"
+HOMEPAGE="https://edu.kde.org/applications/language/artikulate"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gstreamer qtmedia"
+
+DEPEND="
+ $(add_frameworks_dep karchive)
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcrash)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep knewstuff)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtdeclarative)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtsql)
+ $(add_qt_dep qtwidgets)
+ $(add_qt_dep qtxml)
+ $(add_qt_dep qtxmlpatterns)
+ gstreamer? ( >=media-libs/qt-gstreamer-1.2.0[qt5(+)] )
+ qtmedia? ( $(add_qt_dep qtmultimedia) )
+"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="|| ( gstreamer qtmedia )"
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_GSTREAMER_PLUGIN=$(usex gstreamer)
+ -DBUILD_QTMULTIMEDIA_PLUGIN=$(usex qtmedia)
+ )
+
+ kde5_src_configure
+}